Buscar uma empresa única

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/company/unique

Retorna um registro única de empresa com base nas condições informadas na requisição.

application/json

Body Required

request

  • conditions array[object]
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • sort boolean
  • direction string

    Values are ASC or DESC.

  • sortColumn string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean
    • address string
    • cep string
    • city string
    • cnpj string
    • companyName string
    • complement string
    • contractSignature integer(int64)
    • country string
    • createdAt string(date-time)
    • createdBy string
    • dateEndPilot string(date-time)
    • defaultLocale string
    • email string
    • groupCompany object
      Hide groupCompany attributes Show groupCompany attributes object
      • active boolean
      • companyName string Required
      • createdAt string(date-time)
      • createdBy string
      • id integer(int64)
      • updatedAt string(date-time)
      • updatedBy string
    • id integer(int64)
    • nameContact string
    • neighborhood string
    • number string
    • phoneContact string
    • sgemnet string
    • site string
    • sku string
    • state string
    • stateRegistration string
    • timeHistory integer(int64)
    • tradeName string
    • updatedAt string(date-time)
    • updatedBy string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/company/unique
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/company/unique' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"sort":true,"direction":"ASC","sortColumn":"string"}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "sort": true,
  "direction": "ASC",
  "sortColumn": "string"
}
Response examples (200)
{
  "active": true,
  "address": "string",
  "cep": "string",
  "city": "string",
  "cnpj": "string",
  "companyName": "string",
  "complement": "string",
  "contractSignature": 42,
  "country": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "dateEndPilot": "2026-05-04T09:42:00Z",
  "defaultLocale": "string",
  "email": "string",
  "groupCompany": {
    "active": true,
    "companyName": "string",
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string"
  },
  "id": 42,
  "nameContact": "string",
  "neighborhood": "string",
  "number": "string",
  "phoneContact": "string",
  "sgemnet": "string",
  "site": "string",
  "sku": "string",
  "state": "string",
  "stateRegistration": "string",
  "timeHistory": 42,
  "tradeName": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}